From: Victor Fusco <victor@cetuc.puc-rio.br>
Subject: [KJ] [PATCH 03/20] skbuff.h: Fix "nocast type" warnings

Fix the sparse warning "implicit cast to nocast type"

File/Subsystem:include/linux/skbuff.h

Signed-off-by: Victor Fusco <victor@cetuc.puc-rio.br>

--

---
 skbuff.h |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

Index: quilt/include/linux/skbuff.h
===================================================================
--- quilt.orig/include/linux/skbuff.h
+++ quilt/include/linux/skbuff.h
@@ -502,7 +502,8 @@ static inline struct sk_buff *skb_share_
  *
  *	%NULL is returned on a memory allocation failure.
  */
-static inline struct sk_buff *skb_unshare(struct sk_buff *skb, int pri)
+static inline struct sk_buff *skb_unshare(struct sk_buff *skb,
+					  unsigned int __nocast pri)
 {
 	might_sleep_if(pri & __GFP_WAIT);
 	if (skb_cloned(skb)) {
